*
*
* Utility Macro Include file
*
* Collated Nov. 13, 1988 by David Jones
*
*

G           EQUR     A4
L           EQUR     A5

LINKSYS     MACRO
            IFNE NARG-2
               FAIL *** Need two arguments to LINKSYS ***
            ENDC
            move.l a6,-(sp)
            move.l \2,a6
            jsr    _LVO\1(a6)
            move.l (sp)+,a6
            ENDM

CALLSYS     MACRO
            IFNE NARG-2
               FAIL *** Need to arguments to CALLSYS ***
            ENDC
            move.l \2,a6
            jsr    _LVO\1(a6)
            ENDM

CALL        MACRO
            IFNE NARG-1
               FAIL *** Need one argument to CALL ***
            ENDC
            jsr    _LVO\1(a6)
            ENDM

LIBFINIT    MACRO
foffset     set -$1E
            ENDM

LIBFDEF     MACRO
_LVO\1       equ foffset
foffset     set    foffset-6
            ENDM

BEGINIO     MACRO    ; IORequest A1
            move.l   A6,-(SP)
            move.l   IO_DEVICE(A1),A6
            jsr      DEV_BEGINIO(A6)
            move.l   (SP)+,A6
            ENDM

